  #version 3.7;
  #include "colors.inc"

  global_settings {
    assumed_gamma 1.8
  }

  camera {
    right x*1280/720
    location <0, 0, -15>
    look_at 0
    angle 0
  }

  background { color Gray30 }
  light_source { <300, 300, -1000> White }


  // #declare crosshair = merge {
  // }
  // object { crosshair }


  #declare half_tor = difference {
    torus {
      4, 1
      rotate x*-90
      translate < 4, 0, 0 >
    }
    box { <-10, -10, -2>, <10, 0, 2> }
    pigment { Green }
  }
  #declare tor_trans = 8;  // twice the major radius

  #declare flip_it = 180*x;

  #declare noodle = union {
    object { half_tor }
    object { half_tor
      rotate flip_it
      translate x*tor_trans
    }
  }

  object { 
      noodle 
      scale .6
    }
  
