  #version 3.7;
  global_settings { assumed_gamma 2.2 }
  #include "colors.inc"

  background{White}
  camera {
    right 1.78*x
    angle 20
    location <2, 10, -80>
    look_at <0, 1, 0>
  }

  light_source { <20, 20, -20> color White }

//  prism {
//    linear_sweep
//    linear_spline
//    0, // sweep the following shape from here ...
//    1, // ... up through here
//    7, // the number of points making up the shape ...
//    <3,5>, <-3,5>, <-5,0>, <-3,-5>, <3, -5>, <5,0>, <3,5>
//    pigment { Green }
//  }

//  prism {
//    cubic_spline
//    0, // sweep the following shape from here ...
//    1, // ... up through here
//    6, // the number of points making up the shape ...
//    < 3, -5>, // point#1 (control point... not on curve)
//    < 3,  5>, // point#2  ... THIS POINT ...
//    <-5,  0>, // point#3
//    < 3, -5>, // point#4
//    < 3,  5>, // point#5 ... MUST MATCH THIS POINT
//    <-5,  0>  // point#6 (control point... not on curve)
//    pigment { Green }
//  }

//  prism {
//    linear_sweep
//    cubic_spline
//    0,  // sweep the following shape from here ...
//    1,  // ... up through here
//    18, // the number of points making up the shape ...
//    <3,-5>, <3,5>, <-5,0>, <3, -5>, <3,5>, <-5,0>,//sub-shape #1
//    <2,-4>, <2,4>, <-4,0>, <2,-4>, <2,4>, <-4,0>, //sub-shape #2
//    <1,-3>, <1,3>, <-3,0>, <1, -3>, <1,3>, <-3,0> //sub-shape #3
//    pigment { Green }
//  }

//  prism {
//    conic_sweep
//    linear_spline
//    0, // height 1
//    1, // height 2
//    5, // the number of points making up the shape...
//    <4,4>,<-4,4>,<-4,-4>,<4,-4>,<4,4>
//    rotate <180, 0, 0>
//    translate <0, 1, 0>
//    scale <1, 4, 1>
//    pigment { gradient y scale .2 }
//  }

  sphere_sweep {
    cubic_spline
    6,
    <-4, -5, 0>, 1
    <-5, -5, 0>, 1
    <-5,  5, 0>, 0.5
    < 5, -5, 0>, 0.5
    < 5,  5, 0>, 1
    < 4,  5, 0>, 1
    tolerance 0.1
    pigment { Green }
  }
